# QHttpResponseHeader Class Reference

### [com.trolltech.qt.network package]

Inherits QHttpHeader.

### Constructor

- void QHttpResponseHeader()
- void QHttpResponseHeader(QHttpResponseHeader header)
- void QHttpResponseHeader(String str)
- void QHttpResponseHeader(int code, String text, int majorVer, int minorVer)

### Constructor Properties

- prototype: The QHttpResponseHeader prototype object

### Prototype Object Properties

The QHttpResponseHeader prototype object inherits properties from the QHttpHeader prototype object and also has the following properties.

- String reasonPhrase()
- void setStatusLine(int code, String text, int majorVer, int minorVer)
- int statusCode()

### Instance Properties

QHttpResponseHeader objects have no special properties beyond those inherited from the QHttpResponseHeader prototype object.